#!/usr/bin/env python
# デバッグ用
import cgitb
cgitb.enable()

import cgi
import serial
import json
import sys
import time

print("Content-Type: text/plain")
print()

serial_port = serial.Serial('/dev/ttyACM0', baudrate=9600, timeout = 0.5)


data = sys.stdin.read()
cmd_json = json.loads(data)

for key in cmd_json:
    if(key =="GET"):
        input_cmd = key
        serial_port.write((input_cmd + "\n").encode("utf-8"))
        byte_data = serial_port.readline()
        str_data = byte_data.decode().split()[0]
        try:
            json_data = json.loads(str_data)
        except json.JSONDecodeError as e:
            print(e)
        cmd_json["TEMP"] = json_data["temp"]
        cmd_json["HUMI"] = json_data["humi"]
        print(json.dumps(cmd_json))

serial_port.close()
