#!/usr/bin/env python
# デバッグ用
import cgitb
cgitb.enable()

import cgi
import json
import sys
import time
import smbus

print("Content-Type: text/plain")
print()

def getSH31data():
    i2c = smbus.SMBus(1)
    i2c_addr = 0x45                                                       

    i2c.write_byte_data(i2c_addr, 0x21, 0x30)                             
    time.sleep(0.5)

    i2c.write_byte_data(i2c_addr, 0xE0, 0x00)                             
    dataFromSH31 = i2c.read_i2c_block_data(i2c_addr, 0x00, 6)             

    T = ( dataFromSH31[0] << 8 ) | dataFromSH31[1]
    fTemp = float(T)* 175 / 65535.0 -45.0
    H = ( dataFromSH31[3] << 8 ) | dataFromSH31[4]
    fHumi = float(H) / 65535.0 * 100.0

    return fTemp, fHumi

receiveData = sys.stdin.read()
cmd_json = json.loads(receiveData)

for key in cmd_json:
    if(key =="GET"):
        cmd_json["TEMP"],  cmd_json["HUMI"] = getSH31data()
        print(json.dumps(cmd_json))
